/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-02 19:05
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    

    cout << (N > 4 ? "Alice" : "Bob") << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
